Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.processing.raster.converter
Class Image2RawData

    java.lang.Object
      org.deegree.processing.raster.converter.Image2RawData

    public class Image2RawData

extends Object

Parses 4 channel (32Bit) tiff images as DEM and returns a float matrix containing the DEM heights

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Constructor Summary
`Image2RawData(BufferedImage data)`
`Image2RawData(BufferedImage data, float scale)`
`Image2RawData(BufferedImage data, float scale, float offset)`
`Image2RawData(File dataFile)`
`Image2RawData(File dataFile, float scale)`
`Image2RawData(File dataFile, float scale, float offset)`

Method Summary
`float` | `get(int x, int y)`
`float[][]` | `parse()` returns the DEM heights as float matrix
`List<Point>` | `parseAsPointList(CoordinateSystem crs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Image2RawData

    public Image2RawData(File dataFile)

Parameters:
  `dataFile` - image containing raw data instead color information. Data file must be a TIFF image

### Image2RawData

    public Image2RawData(File dataFile,
                         float scale)

Parameters:
  `dataFile` - image containing raw data instead color information. Data file must be a TIFF image
  `scale` - scale factor; newHeight[i][j] = height[i][j] * scale

### Image2RawData

    public Image2RawData(File dataFile,
                         float scale,
                         float offset)

Parameters:
  `dataFile` - image containing raw data instead color information. Data file must be a TIFF image
  `scale` - scale factor; newHeight[i][j] = height[i][j] * scale
  `offset` - height offset; newHeight[i][j] = height[i][j] + offset

### Image2RawData

    public Image2RawData(BufferedImage data)

Parameters:
  `data` - image containing raw data instead color information

### Image2RawData

    public Image2RawData(BufferedImage data,
                         float scale)

Parameters:
  `data` - image containing raw data instead color information
  `scale` - scale factor; newHeight[i][j] = height[i][j] * scale

### Image2RawData

    public Image2RawData(BufferedImage data,
                         float scale,
                         float offset)

Parameters:
  `data` - image containing raw data instead color information
  `scale` - scale factor; newHeight[i][j] = height[i][j] * scale
  `offset` - height offset; newHeight[i][j] = height[i][j] + offset

Method Detail

### parse

    public float[][] parse()

  returns the DEM heights as float matrix

  Returns:
    the DEM heights as float matrix

### get

    public float get(int x,
                     int y)

  Parameters:
    `x` - index
    `y` - index
  Returns:
    the appropriate value

### parseAsPointList

    public List<Point> parseAsPointList(CoordinateSystem crs)

  Parameters:
    `crs` - of the points
  Returns:
    the DEM heights as pointlist matrix

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org